Designer course format for Moodle
========================
The Designer course format is a course builder — teachers can choose different layouts for each section in order to display activities and resources in a more meaningful and beautiful way. Moodle provides robust activities for effective learning and teaching, but the course home page often lacks visual appeal and teachers are overwhelmed to create a beautiful course with core tools. 

Documentation
------------
The official documenation can be found at https://docs.moodle.org/en/Designer
See also http://docs.moodle.org/en/Installing_plugins for details on installing Moodle plugins
If you want to learn more about using course formats in Moodle in general, please see https://docs.moodle.org/en/Course_formats.

Theme support
-------------
This plugin is developed and tested on Moodle Core's Boost theme.
It should also work with Boost child themes, including Moodle Core's Classic theme. However, we can't support any other theme than Boost.

Plugin repositories
-------------------
This plugin will be published and regularly updated in the Moodle plugins repository: https://moodle.org/plugins/format_designer
The latest development version can be found on Github: https://github.com/bdecentgmbh/moodle-format_designer

Bug and problem reports / Support requests
------------------------------------------
This plugin is carefully developed and thoroughly tested, but bugs and problems can always appear.
Please report bugs and problems on Github: https://github.com/bdecentgmbh/moodle-format_designer/issues
We will do our best to solve your problems, but please note that due to limited resources we can't always provide per-case support.

Feature proposals
-----------------
Please issue feature proposals on Github: https://github.com/bdecentgmbh/moodle-format_designer/issues
Please create pull requests on Github: https://github.com/bdecentgmbh/moodle-format_designer/issues
We are always interested to read about your feature proposals or even get a pull request from you, but please accept that we can handle your issues only as feature _proposals_ and not as feature _requests_.

Moodle release support
----------------------
This plugin is maintained for the two most recent major releases of Moodle as well as the most recent LTS release of Moodle. 
If you are running a legacy version of Moodle, but want or need to run the latest version of this plugin, you can get the latest version of the plugin, remove the line starting with $plugin->requires from version.php and use this latest plugin version then on your legacy Moodle. However, please note that you will run this setup completely at your own risk. We can't support this approach in any way and there is an undeniable risk for erratic behavior.

Translating this plugin
-----------------------
This Moodle plugin is shipped with an english language pack only. All translations into other languages must be managed through AMOS (https://lang.moodle.org) by what they will become part of Moodle's official language pack.

Copyright
---------
bdecent gmbh
bdecent.de
